2018-12-12 18:48 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000195Branch 0.2.1-FINALBugpublic2016-11-23 10:08
Reportertiscali 
Assigned ToQuix0r 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000195: Bei der neu installation Template Fehler
Description{DQUOTE} . doTemplateColorSwitch('page_body', false, false) . {DQUOTE}
{DQUOTE} . doTemplateColorSwitch('app_die_message', false, false) . {DQUOTE}
{%message,APP_DIE_TITLE%}
{?TITLE?} ist in Script/Funktion functions.php, Zeile 2235 mit folgender Meldung abgebrochen: Note: errno=2048,errstr=Implicit cloning object of class 'CacheSystem' because of 'zend.ze1_compatibility_mode',errfile=functions.php,errline=2235
Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):
template-functions.php:1183, debug_get_printable_backtrace(0)
handler.php:54, debug_report_bug(3)
functions.php:2235, __errorHandler(5)
load_cache.php:47, initCacheInstance(0)
inc-functions.php:129, include(1)
inc-functions.php:143, loadInclude(1)
mysql-connect.php:151, loadIncludeOnce(1)
inc-functions.php:129, include(1)
inc-functions.php:143, loadInclude(1)
config-global.php:105, loadIncludeOnce(1)
install.php:57, require(1)
Request-URI: /install.php
Thank you for finding bugs.
Steps To Reproduce/install.php
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000197closedQuix0r Manuelle Install 
+Relationships

-Notes

~0000491

tiscali (reporter)

At revision: 2175

~0000495

Quix0r (administrator)

Zwei Ideen habe ich dazu:

In libs/security_functions.php, Zeile 136/137 steht bei mir folgendes:
ini_set('magic_quotes_runtime', false);
ini_set('magic_quotes_gpc', false); // This may not work on some systems

Dahinter fuegst du folgende Zeile ein:
if( phpversion() >= '5.0' ) @ini_set('zend.ze1_compatibility_mode', '1');// for PHP 5 compatibility

Das ist zwar nicht das beste, sollte aber laut dem Forum gehen:
http://forum.tufat.com/showpost.php?s=&p=145154&postcount=3

Ich sehe das als unsauber an. Und irgentwann wird die Rueckwertskompatiblitaet zu PHP4 vielleicht ganz ausgebaut. Erstmal habe ich in Revision 2177 einen Code-Block eingefuegt, der eine Ueberpruefung durchfuehrt, ob die Cache-Instanz (um der es hier geht) bereits initialisiert ist und dann einfach mit einer Meldung abbricht.

Bitte probiere erstmal die neue Revision aus (aktualisieren, exportieren und erneut hochladen) und wenn es dann weiterhin Probleme gibt, melde dich bitte zurueck. Ich konnte hier leider den Fehler nicht nachstellen.

~0000497

tiscali (reporter)

danke dir,
auch mit der neuen SVN bzw mit der oben genannten zeile bleibt diese Meldung.

~0000506

Quix0r (administrator)

Den waren Bug hatten wir im Chat nicht finden koennen, aber mit der einen korrektierten Zeile in security_functions.php sollte dies nun gefixt sein.

~0000668

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2010-10-16 22:11 tiscali New Issue
2010-10-16 22:20 tiscali Note Added: 0000491
2010-10-26 15:50 Quix0r Assigned To => Quix0r
2010-10-26 15:50 Quix0r Status new => assigned
2010-10-26 16:07 Quix0r Relationship added related to 0000197
2010-10-26 16:18 Quix0r Note Added: 0000495
2010-10-26 16:19 Quix0r Status assigned => feedback
2010-10-27 20:49 tiscali Note Added: 0000497
2010-10-27 20:49 tiscali Status feedback => assigned
2010-11-03 01:50 Quix0r Product Version => 0.2.1-FINAL
2010-11-03 01:50 Quix0r Target Version => 0.2.1-FINAL
2010-11-06 19:16 Quix0r Note Added: 0000506
2010-11-06 19:16 Quix0r Status assigned => resolved
2010-11-06 19:17 Quix0r Fixed in Version => 0.2.1-FINAL
2010-11-06 19:17 Quix0r Resolution open => fixed
2016-11-23 10:08 Quix0r Status resolved => closed
2016-11-23 10:08 Quix0r Note Added: 0000668
+Issue History